View Issue Details

IDProjectCategoryView StatusLast Update
0005174Talermechant backendpublic2018-04-15 20:34
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005174: UUIDs of taler-merchant-generate-payments are not unique, but always 1
DescriptionThis rightfully upsets the taler-auditor, when run against a DB primed by the payments generator. The code should be changed to not hard-code UUIDs, but instead each call to the 'admin add incoming' API should on-the-fly generate a 'fresh' UUID (i.e. by incrementing a counter).

Note that there is also 0005172, which deprecates the exchange's admin/add/incoming. So the next-generation of this code should use the *banks* API for triggering a wire transfer instead (see TALER_BANK_admin_add_incoming(), the library 'taler_bank_service.h' for this is in the exchange code).
TagsNo tags attached.

Relationships

child of 0005172 closedChristian Grothoff Eliminate /admin/add/incoming 

Activities

Christian Grothoff

2017-12-14 13:35

manager   ~0012680

Fixed and works as of 015dd3a..ee32930

Issue History

Date Modified Username Field Change
2017-11-08 19:51 Christian Grothoff New Issue
2017-11-08 19:51 Christian Grothoff Status new => assigned
2017-11-08 19:51 Christian Grothoff Assigned To => Marcello Stanisci
2017-11-08 19:52 Christian Grothoff Relationship added child of 0005172
2017-11-08 19:52 Christian Grothoff Assigned To Marcello Stanisci =>
2017-11-08 19:52 Christian Grothoff Status assigned => confirmed
2017-11-08 19:52 Christian Grothoff Target Version => 0.7
2017-11-12 16:11 Christian Grothoff Assigned To => Christian Grothoff
2017-11-12 16:11 Christian Grothoff Status confirmed => assigned
2017-12-14 13:35 Christian Grothoff Status assigned => resolved
2017-12-14 13:35 Christian Grothoff Resolution open => fixed
2017-12-14 13:35 Christian Grothoff Fixed in Version => 0.5
2017-12-14 13:35 Christian Grothoff Note Added: 0012680
2017-12-14 13:35 Christian Grothoff Target Version 0.7 => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed